#
# Example slurm.conf file. Please run configurator.html
# (in doc/html) to build a configuration file customized
# for your environment.
#
#
# slurm.conf file generated by configurator.html.
#
# See the slurm.conf man page for more information.
#
ClusterName=punehpcdl02cluster
ControlMachine=appmaster
ControlAddr=192.168.122.181
#BackupController=masternode-2
#BackupAddr=192.168.122.12
#
SlurmUser=root
SlurmdUser=root
SlurmctldPort=6817
SlurmdPort=6818
AuthType=auth/munge
#JobCredentialPrivateKey=
#JobCredentialPublicCertificate=
#StateSaveLocation=/apps/slurm/v14.11.9/share/state
SlurmdSpoolDir=/var/spool/slurmd.%n
SwitchType=switch/none
MpiDefault=none
SlurmctldPidFile=/var/run/slurm/slurmctld.pid
SlurmdPidFile=/var/run/slurm/slurmd.pid
ProctrackType=proctrack/pgid
#PluginDir=
CacheGroups=0
#FirstJobId=
ReturnToService=1
#MaxJobCount=
#PlugStackConfig=
#PropagatePrioProcess=
#PropagateResourceLimits=
#PropagateResourceLimitsExcept=
#Prolog=
#Epilog=
#SrunProlog=
#SrunEpilog=
#TaskProlog=
#TaskEpilog=
#TaskPlugin=
#TrackWCKey=no
#TreeWidth=50
#TmpFS=
#UsePAM=1

Licenses=acfd_fluent:1,ansys:1,anshpc:8,acfd_cfx:1
#
# TIMERS
SlurmctldTimeout=300
SlurmdTimeout=300
InactiveLimit=0
MinJobAge=300
KillWait=30
Waittime=0
#
# SCHEDULING
SchedulerType=sched/backfill
#SchedulerAuth=
#SchedulerPort=
#SchedulerRootFilter=
SelectType=select/cons_res
SelectTypeParameters=CR_CPU
FastSchedule=1
#PriorityType=priority/multifactor
#PriorityDecayHalfLife=14-0
#PriorityUsageResetPeriod=14-0
#PriorityWeightFairshare=100000
#PriorityWeightAge=1000
#PriorityWeightPartition=10000
#PriorityWeightJobSize=1000
#PriorityMaxAge=1-0
#
# LOGGING
SlurmctldDebug=8
SlurmctldLogFile=/var/log/slurm/slurmctld.log
SlurmdDebug=3
SlurmdLogFile=/var/log/slurm/slurm.%n.log
JobCompType=jobcomp/mysql
JobCompLoc=slurm_acct_db
#
# ACCOUNTING
JobAcctGatherType=jobacct_gather/linux
JobAcctGatherFrequency=30
#
AccountingStorageType=accounting_storage/slurmdbd
AccountingStorageHost=appmaster
AccountingStorageLoc=slurm_acct_db
AccountingStoragePass=root@123
AccountingStorageUser=root
AccountingStorageTRES=License/ansys,License/acfd_fluent,License/anshpc,License/acfd_cfx
AccountingStorageEnforce=associations
#


# COMPUTE NODES
#NodeName=punehpcdl02 Procs=8 RealMemory=15000 State=UNKNOWN
NodeName=appmaster Procs=2 RealMemory=900 State=UNKNOWN
#NodeName=appnode1 Procs=1 RealMemory=900 State=UNKNOWN


PartitionName=debug Nodes=appmaster Default=YES shared=force:2 MaxTime=INFINITE State=UP
